yesod-core-0.9.4.1: Creation of type-safe, RESTful web applications.

Yesod.Internal.TestApi

Description

WARNING: This module exposes internal interfaces solely for the purpose of facilitating cabal-driven testing of said interfaces. This module is NOT part of the public Yesod API and should NOT be imported by library users.

Synopsis

- randomString :: RandomGen g => Int -> g -> String
- parseWaiRequest' :: RandomGen g => Request -> [(Text, Text)] -> Maybe a -> g -> Request
- catchIter :: Exception e => Iteratee ByteString IO a -> (e -> Iteratee ByteString IO a) -> Iteratee ByteString IO a

# Documentation

randomString :: RandomGen g => Int -> g -> String

Generate a random String of alphanumerical characters (a-z, A-Z, and 0-9) of the given length using the given random number generator.

parseWaiRequest'

Arguments

:: RandomGen g |
=> Request |
-> [(Text, Text)] | session
-> Maybe a |
-> g |
-> Request |

catchIter :: Exception e => Iteratee ByteString IO a -> (e -> Iteratee ByteString IO a) -> Iteratee ByteString IO a